Exception on XP32 for .net3.5 based application?.

Ask general questions here.
iosman001
Posts: 2
Joined: Sat May 09, 2020 9:16 am

Exception on XP32 for .net3.5 based application?.

Post by iosman001 » Sat May 09, 2020 9:17 am

Hello,

whats the meaning of the following exception.

anorex Studio Version : 2.0.0.5474
.NET Version : 2.0.50727.1433
OS Version : Microsoft Windows NT 5.1.2600 Service Pack 3
Current culture : English (United States) (en-US)
Working Set Memory : 39712kb
GC Heap Memory : 25854kb

Exception thrown:
System.InvalidOperationException: Collection was modified; enumeration operation may not execute.
at System.ThrowHelper.ThrowInvalidOperationException(ExceptionResource resource)
ometv chatroulette chat avenue
at System.Collections.Generic.List`1.Enumerator.MoveNext()
at Ranorex.Core.Recorder.RecordTable.ToXmlString()
at Ranorex.Core.Recorder.RecordTable.get_IsDirty()
at Ranorex.Addins.RecorderPrimaryViewContent.<UpDateIsDirty>b__6()

---- Recent log messages:
Failed to append recent log messages.
System.InvalidOperationException: Sequence contains no elements
at System.Linq.Enumerable.Single[TSource](IEnumerable`1 source)
at ICSharpCode.SharpDevelop.Sda.LogMessageRecorder.AppendRecentLogMessages(StringBuilder sb, ILog log)
at ICSharpCode.SharpDevelop.Sda.ExceptionBox.getClipboardString()

---- Post-error application state information:
Installed 3rd party AddIns:
Workbench.ActiveContent: Ranorex.Addins.RecorderPrimaryViewContent
ProjectService.OpenSolution: [Solution: FileName=C:\Documents and Settings\Administrator\My Documents\RanorexStudio Projects\CUI3XP32CTG\CUI3XP32CTG.rxsln, HasProjects=True, ReadOnly=False]
ProjectService.CurrentProject: [CSharpProject: CUI3XP32CTG]

thanks
iosman
Last edited by iosman001 on Mon May 11, 2020 9:30 am, edited 1 time in total.

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 6036
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Exception on XP32 for .net3.5 based application?.

Post by odklizec » Mon May 11, 2020 9:02 am

Hi,

I'm afraid that neither Ranorex 2.0.0.5474 or Windows XP SP3 are supported. I think that you will hardly find anyone even slightly remembering such old Ranorex version? Even I started with 3.0 and I hardly remember it :D

Seriously, it's a wastes of time using such ancient and obsolete version. If your requirement is to write/maintain tests on WinXP, you should use at very least, Ranorex 7.2.1, which is the last Ranorex version supporting WinXP. Ranorex dropped support for WinXP in 8.0, which requires .Net 4.5.2 and which is not available for WinXP.
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration